org.etsi.uri._01903.v1_3

## Class UnsignedProperties

- java.lang.Object
- - org.etsi.uri._01903.v1_3.UnsignedProperties

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class UnsignedProperties
      extends Object
      implements Serializable

  Java class for UnsignedPropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="UnsignedPropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="UnsignedSignatureProperties" type="{http://uri.etsi.org/01903/v1.3.2#}UnsignedSignaturePropertiesType" minOccurs="0"/>
               <element name="UnsignedDataObjectProperties" type="{http://uri.etsi.org/01903/v1.3.2#}UnsignedDataObjectPropertiesType" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsignedProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `UnsignedDataObjectProperties` | `getUnsignedDataObjectProperties()` Gets the value of the unsignedDataObjectProperties property.
    `UnsignedSignatureProperties` | `getUnsignedSignatureProperties()` Gets the value of the unsignedSignatureProperties property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setUnsignedDataObjectProperties(UnsignedDataObjectProperties value)` Sets the value of the unsignedDataObjectProperties property.
    `void` | `setUnsignedSignatureProperties(UnsignedSignatureProperties value)` Sets the value of the unsignedSignatureProperties property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsignedProperties

          public UnsignedProperties()

  - ### Method Detail

    - #### getUnsignedSignatureProperties

          public UnsignedSignatureProperties getUnsignedSignatureProperties()

      Gets the value of the unsignedSignatureProperties property.
      Returns:
        possible object is `UnsignedSignatureProperties`

    - #### setUnsignedSignatureProperties

          public void setUnsignedSignatureProperties(UnsignedSignatureProperties value)

      Sets the value of the unsignedSignatureProperties property.
      Parameters:
        `value` - allowed object is `UnsignedSignatureProperties`

    - #### getUnsignedDataObjectProperties

          public UnsignedDataObjectProperties getUnsignedDataObjectProperties()

      Gets the value of the unsignedDataObjectProperties property.
      Returns:
        possible object is `UnsignedDataObjectProperties`

    - #### setUnsignedDataObjectProperties

          public void setUnsignedDataObjectProperties(UnsignedDataObjectProperties value)

      Sets the value of the unsignedDataObjectProperties property.
      Parameters:
        `value` - allowed object is `UnsignedDataObjectProperties`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.